# run.py（项目根目录）
from flask import request, jsonify  
from app import create_app  # 从app包导入工厂函数  
from app.utils import get_table_metal_averages  # 从app包的utils模块导入函数  
from flask_cors import CORS  # 导入CORS
import os

# 创建Flask应用  
app = create_app()  


# 启动服务器
if __name__ == '__main__':
    app.run(host="0.0.0.0", port=5000, debug=True)  # 注意：这里添加了ssl_context参数来启用HTTPS
    # app.run(debug=True)
